Subject: Re[2]: Bug in ln / cygwin1.dll
From: Pavel Tsekov <[email-masked]>
To: [email-masked]
Date: Sat, 4 May 2002 14:40:21 +0200

Hello Chris,

Saturday, May 04, 2002, 1:37:30 PM, you wrote:

CJ> Return-Path: <cygwin-return-49397-ptsekov=[email-masked]>
CJ> Delivered-To: [email-masked]
CJ> Received: (qmail 28537 invoked by alias); 4 May 2002 12:35:44 -0000
CJ> Delivered-To: [email-masked]
CJ> Received: (qmail 28534 invoked by uid 8); 4 May 2002 12:35:44 -0000
CJ> Received: from sources.redhat.com (209.249.29.67)
CJ>         by mail.syntrex.com with SMTP id smtpdHZvTJf; Sat, 04 May 2002 08:35:39 EDT
CJ> Received: (qmail 14465 invoked by alias); 4 May 2002 11:34:40 -0000
CJ> Mailing-List: contact [email-masked]; run by ezmlm
CJ> Precedence: bulk
CJ> List-Unsubscribe: <mailto:cygwin-unsubscribe-ptsekov=[email-masked]>
CJ> List-Subscribe: <mailto:[email-masked]>
CJ> List-Archive: <http://sources.redhat.com/ml/cygwin/>
CJ> List-Post: <mailto:[email-masked]>
CJ> List-Help: <mailto:[email-masked]>, <http://sources.redhat.com/ml/#faqs>
CJ> Sender: [email-masked]
CJ> Mail-Followup-To: [email-masked]
CJ> Delivered-To: mailing list [email-masked]
CJ> Received: (qmail 14455 invoked from network); 4 May 2002 11:34:37 -0000
CJ> Received: from unknown (HELO mail8.svr.pol.co.uk) (195.92.193.213)
CJ>   by sources.redhat.com with SMTP; 4 May 2002 11:34:37 -0000
CJ> Received: from modem-2033.cougar.dialup.pol.co.uk ([217.134.231.241] helo=avacado.atomice.net)
CJ>         by mail8.svr.pol.co.uk with esmtp (Exim 3.35 #1)
CJ>         id 173xmv-0006Wt-00
CJ>         for [email-masked]; Sat, 04 May 2002 12:33:17 +0100
CJ> Received: from advent02 [127.0.0.1] ([email-masked]); Sat, 4 May 2002 12:37:30 +0100
CJ> X-WM-Posted-At: avacado.atomice.net; Sat, 4 May 02 12:37:30 +0100
CJ> Message-ID: <00a201c1f360$133f73a0$0100a8c0@advent02>
CJ> From: "Chris January" <[email-masked]>
CJ> To: <[email-masked]>
CJ> References: <011901c1f2fb$1fbf5330$0100a8c0@advent02> <[email-masked]>
CJ> Subject: Re: Bug in ln / cygwin1.dll
CJ> Date: Sat, 4 May 2002 12:37:30 +0100
CJ> MIME-Version: 1.0
CJ> Content-Type: text/plain;
CJ>         charset="iso-8859-1"
CJ> Content-Transfer-Encoding: 7bit
CJ> X-Priority: 3
CJ> X-MSMail-Priority: Normal
CJ> X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2600.0000

>> >When I run 'make -f Makefile.cvs' with QT3, I find that ln segfaults
CJ> trying
>> >to create a symlink. I've included the output of strace showing the
CJ> problem,
>> >output of cygcheck and also the stackdump ln produces. I can reproduce
CJ> this,
>> >so if you need any more information, please ask. The problem occurs with
CJ> the
>> >latest Cygwin CVS.
>> >ln is 'ln (fileutils) 4.1'.
>> >cygwin is 'CYGWIN_NT-5.0 ADVENT02 1.3.11(0.52/3/2) 2002-05-03 15:18 i686
>> >unknown'
>>
>> You're using a locally built version of cygwin.  Please run it under gdb
>> and pinpoint where the problem is occurring.  You may find the techniques
>> in how-to-debug-cygwin.txt useful.
CJ> As far as I can tell, it's caused by the fact that more than 1024 arguments
CJ> are being passed to ln and in exec.cc, argv is declared as 1024 elements. Is
CJ> there any reason this limit shouldn't be upped to, say, 2048 elements? If
CJ> not, can this change be made in CVS please.

As far as I can remember the POSIX limits say that this has to be of
size at least 4096.

Just my 0.02 euro cents :)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/